TRANSMISSION-EDIT(1)

NAME
transmission-edit - command-line utility to modify .torrent files' announce URLs

SYNOPSIS
transmission-edit [-h] [-a url] [-d url] [-r search replace] [-s source] torrentfile(s)

DESCRIPTION
transmission-edit command-line utility to modify .torrent files' announce URLs

OPTIONS

-h --help
    Show a short help page and exit.

-a --add URL
    Add an announce URL to the torrent's announce-list if it's not already in the list

-d --delete URL
    Remove an announce URL from the torrent's announce-list

-r --replace search replace
    Substring search-and-replace inside a torrent's announce URLs. This can be used to change an announce URL when the tracker moves or your passcode changes.

-s --source source
    Set the source tag within a torrent

EXAMPLES
Update a tracker passcode in all your torrents:

    $ transmission-edit -r old-passcode new-passcode ~/.config/transmission/torrents/*\.torrent

AUTHORS
-nosplit Charles Kerr and Mike Gelfand.

SEE ALSO
transmission-create(1), transmission-daemon(1), transmission-edit(1), transmission-gtk(1), transmission-qt(1), transmission-remote(1), transmission-show(1)

https://transmissionbt.com/